[hardy/intrepid] wlan0: AP denied association

Bug #183619 reported by Pavel Novak on 2008-01-16
40
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
linux-meta (Ubuntu)
Undecided
Unassigned

Bug Description

After update to Hardy wlan doesn't work. I can see my AP with iwlist scanning but can't to connect.

ifup wlan0:
There is already a pid file /var/run/dhclient.wlan0.pid with pid 134519072
Internet Systems Consortium DHCP Client V3.0.6
Copyright 2004-2007 Internet Systems Consortium.
All rights reserved.
For info, please visit http://www.isc.org/sw/dhcp/

wmaster0: unknown hardware address type 801
wmaster0: unknown hardware address type 801
Listening on LPF/wlan0/00:18:de:87:d9:f1
Sending on LPF/wlan0/00:18:de:87:d9:f1
Sending on Socket/fallback
DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 3
(...)

messages:
Jan 16 21:21:50 costra-laptop kernel: [79055.559607] ADDRCONF(NETDEV_UP): wlan0: link is not ready

dmesg |grep wlan:
[ 31.352179] wlan0: Initial auth_alg=0
[ 31.352188] wlan0: authenticate with AP 00:19:e0:a2:f8:c0
[ 31.367761] wlan0: RX authentication from 00:19:e0:a2:f8:c0 (alg=0 transaction=2 status=0)
[ 31.367766] wlan0: authenticated
[ 31.367770] wlan0: associate with AP 00:19:e0:a2:f8:c0
[ 31.369961] wlan0: RX AssocResp from 00:19:e0:a2:f8:c0 (capab=0x431 status=12 aid=0)
[ 31.369965] wlan0: AP denied association (code=12)
[ 31.565172] wlan0: associate with AP 00:19:e0:a2:f8:c0
[ 31.567317] wlan0: RX AssocResp from 00:19:e0:a2:f8:c0 (capab=0x431 status=12 aid=0)
[ 31.567321] wlan0: AP denied association (code=12)
[ 31.764888] wlan0: associate with AP 00:19:e0:a2:f8:c0
[ 31.767025] wlan0: RX AssocResp from 00:19:e0:a2:f8:c0 (capab=0x431 status=12 aid=0)
[ 31.767032] wlan0: AP denied association (code=12)
[ 31.965567] wlan0: association with AP 00:19:e0:a2:f8:c0 timed out
[ 40.471678] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 40.740465] wlan0: failed to restore operational channel after scan
[77011.755508] wlan0: RX deauthentication from 00:19:e0:a2:f8:c0 (reason=7)
[77011.755516] wlan0: deauthenticated
[77169.923439] wlan0: RX deauthentication from 00:19:e0:a2:f8:c0 (reason=7)
[77194.695435] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[77261.472242] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[78985.222390] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[79055.559607] ADDRCONF(NETDEV_UP): wlan0: link is not ready

ifconfig:
 ifconfig ~
eth0 Link encap:Ethernet HWaddr 00:18:f3:6a:96:67
          inet addr:10.0.1.101 Bcast:255.255.255.255 Mask:255.255.255.0
          inet6 addr: fe80::218:f3ff:fe6a:9667/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
          RX packets:558489 errors:0 dropped:0 overruns:0 frame:0
          TX packets:413273 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:808614608 (771.1 MB) TX bytes:31710371 (30.2 MB)
          Interrupt:220 Base address:0xc000

lo Link encap:Local Loopback
          inet addr:127.0.0.1 Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING MTU:16436 Metric:1
          RX packets:16 errors:0 dropped:0 overruns:0 frame:0
          TX packets:16 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:952 (952.0 B) TX bytes:952 (952.0 B)

wlan0 Link encap:Ethernet HWaddr 00:18:de:87:d9:f1
          UP BROADCAST MULTICAST MTU:1500 Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 B) TX bytes:0 (0.0 B)

wlan0:avahi Link encap:Ethernet HWaddr 00:18:de:87:d9:f1
          inet addr:169.254.11.131 Bcast:169.254.255.255 Mask:255.255.0.0
          UP BROADCAST MULTICAST MTU:1500 Metric:1

wmaster0 Link encap:UNSPEC HWaddr 00-18-DE-87-D9-F1-00-00-00-00-00-00-00-00-00-00
          UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 B) TX bytes:0 (0.0 B)

iwconfig:
lo no wireless extensions.

eth0 no wireless extensions.

wmaster0 no wireless extensions.

wlan0 IEEE 802.11g ESSID:"COSTRA"
          Mode:Managed Frequency:2.452 GHz Access Point: 00:19:E0:A2:F8:C0
          Tx-Power=27 dBm
          Retry min limit:7 RTS thr:off Fragment thr=2346 B
          Link Quality:0 Signal level:0 Noise level:0
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

lspci:
02:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network Connection (rev 02)
        Subsystem: Intel Corporation Unknown device 1001
        Flags: bus master, fast devsel, latency 0, IRQ 219
        Memory at fdfff000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [c8] Power Management version 2
        Capabilities: [d0] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable+
        Capabilities: [e0] Express Legacy Endpoint IRQ 0

Pavel Novak (pavel-innuendo) wrote :

sorry, I mean Hardy, no Gutsy

Koen Beek (koen-beek) on 2008-01-16
description: updated

I confirme this. I run hardy alpha3. It works well on gutsy.
I have the same intel abg wireless card. I can connect to my wpa protected AP. But I can't connect to an unsecured AP with hidden ssid.
I'll try with a RaLink based usb dongle soon, in order to know if this is a trouble with ipw3935 driver or an other thing.

Using network manager, it stay in "connecting" state for a while. So I just tried it using only iwconfig, and I can see this intersting result in /var/log/syslog :

Jan 21 15:56:37 Id2ndR-8 kernel: [ 255.528380] iwl3945: Radio Frequency Kill Switch is On:
Jan 21 15:56:37 Id2ndR-8 kernel: [ 255.528385] Kill switch must be turned off for wireless networking to work.
Jan 21 15:56:49 Id2ndR-8 kernel: [ 259.299610] ADDRCONF(NETDEV_UP): wlan0: link is not ready
Jan 21 15:58:35 Id2ndR-8 kernel: [ 284.525679] wlan0: Initial auth_alg=0
Jan 21 15:58:35 Id2ndR-8 kernel: [ 284.525705] wlan0: authenticate with AP 00:0b:86:82:eb:53
Jan 21 15:58:35 Id2ndR-8 kernel: [ 284.527809] wlan0: RX authentication from 00:0b:86:82:eb:53 (alg=0 transaction=2 status=0)
Jan 21 15:58:35 Id2ndR-8 kernel: [ 284.527815] wlan0: authenticated
Jan 21 15:58:35 Id2ndR-8 kernel: [ 284.527866] wlan0: associate with AP 00:0b:86:82:eb:53
Jan 21 15:58:35 Id2ndR-8 kernel: [ 284.530315] wlan0: RX AssocResp from 00:0b:86:82:eb:53 (capab=0x21 status=10 aid=0)
Jan 21 15:58:35 Id2ndR-8 kernel: [ 284.530321] wlan0: AP denied association (code=10)
Jan 21 15:58:35 Id2ndR-8 kernel: [ 284.588125] wlan0: associate with AP 00:0b:86:82:eb:53
Jan 21 15:58:35 Id2ndR-8 kernel: [ 284.590012] wlan0: RX AssocResp from 00:0b:86:82:eb:53 (capab=0x21 status=10 aid=0)
Jan 21 15:58:35 Id2ndR-8 kernel: [ 284.590036] wlan0: AP denied association (code=10)
Jan 21 15:58:35 Id2ndR-8 kernel: [ 284.625123] wlan0: associate with AP 00:0b:86:82:eb:53
Jan 21 15:58:35 Id2ndR-8 kernel: [ 284.626288] wlan0: RX AssocResp from 00:0b:86:82:eb:53 (capab=0x21 status=10 aid=0)
Jan 21 15:58:35 Id2ndR-8 kernel: [ 284.626311] wlan0: AP denied association (code=10)
Jan 21 15:58:35 Id2ndR-8 kernel: [ 284.675434] wlan0: association with AP 00:0b:86:82:eb:53 timed out
Jan 21 15:58:46 Id2ndR-8 kernel: [ 287.062563] wlan0: RX disassociation from 00:0b:86:82:eb:53 (reason=7)

It show "AP denied association (code=10)". So I think that the card send a wrong association query.

I tried with linux 2.6.24-4 (from hardy) on gutsy, and it works directly with network-manager. The driver has changed : now it is ipl3945.

I don't know if it could help, but on gutsy, the interface was wlan0_rename (wheras I haven't any wlan0), and it was wlan0 on hardy.

There is an other thing that is probably an other bug : the card wasn't detected anymore by Network-manager. After remove and probe iwl3945, the card appears as wlan1_rename, the network-manager doesn't detect it.

Id2ndR (id2ndr) wrote :

any new information about this ?

Michal (mikeos) wrote :

Same problem here. No problem on 2.6.24-4, big problem on later kernels. However I cannot connect to my WPA network with SSID not hidden.

dennis1200 (dennis-fiser) wrote :

I am having this problem on Hardy Beta, kernel 2.6.24-12-generic. I have an Intel 3945 card with the iwl3945 driver. I followed instructions on the Ubuntu Iwlwifi page: https://help.ubuntu.com/community/WifiDocs/Driver/iwlwifi_Intel_3945_4965/gutsy and on the Debian wiki: http://wiki.debian.org/iwlwifi. These pages talk about migrating from ipl3945 (deprecated) to iwl3945.

I am using Wicd 1.4.2-1, currently connected via Ethernet. But the errors do not appear if I run "sudo dhclient wlan0":
~$ sudo dhclient wlan0
There is already a pid file /var/run/dhclient.pid with pid 11279
killed old client process, removed PID file
Internet Systems Consortium DHCP Client V3.0.6
Copyright 2004-2007 Internet Systems Consortium.
All rights reserved.
For info, please visit http://www.isc.org/sw/dhcp/
wmaster0: unknown hardware address type 801
wmaster0: unknown hardware address type 801
Listening on LPF/wlan0/00:1c:bf:ce:2e:ad
Sending on LPF/wlan0/00:1c:bf:ce:2e:ad
Sending on Socket/fallback
DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 3
DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 8
DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 11
DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 9
No DHCPOFFERS received.
No working leases in persistent database - sleeping.

Dmesg output:
  407.179464] wlan0: authenticate with AP 00:15:e9:69:1e:9e
[ 407.179490] wlan0: privacy configuration mismatch and mixed-cell disabled - disassociate
[ 407.180675] wlan0: RX authentication from 00:15:e9:69:1e:9e (alg=0 transaction=2 status=13)
[ 407.180681] wlan0: AP denied authentication (auth_alg=0 code=13)
[ 407.312978] wlan0: authentication with AP 00:15:e9:69:1e:9e timed out
[ 407.312992] wlan0: privacy configuration mismatch and mixed-cell disabled - disassociate
[ 409.757908] sky2 eth0: disabling interface
[ 409.809290] sky2 eth0: enabling interface
[ 409.816549] ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 411.102595] sky2 eth0: Link is up at 100 Mbps, full duplex, flow control rx
[ 411.104283] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[ 419.112869] eth0: no IPv6 routers present
[ 552.431330] ADDRCONF(NETDEV_UP): wlan0: link is not ready

Similar behavior here with current hardy. iwl3945 works with encrypted networks (WPA and WEP) but not with unencrypted (which we have at work with an VPN).

Solution for several of our Laptops was the newest version of the iwl3945 module. Furthermore, wifi is lot more stable with this one.

$ modinfo iwl3945
filename: /lib/modules/2.6.24-16-generic/updates/drivers/net/wireless/iwlwifi/iwl3945.ko
license: GPL
author: Copyright(c) 2003-2008 Intel Corporation
version: 1.2.26k
description: Intel(R) PRO/Wireless 3945ABG/BG Network Connection driver for Linux
srcversion: F16FAE3653AFA39A411E0AB
alias: pci:v00008086d00004227sv*sd*bc*sc*i*
alias: pci:v00008086d00004222sv*sd*bc*sc*i*
alias: pci:v00008086d00004227sv*sd00001014bc*sc*i*
alias: pci:v00008086d00004222sv*sd00001044bc*sc*i*
alias: pci:v00008086d00004222sv*sd00001034bc*sc*i*
alias: pci:v00008086d00004222sv*sd00001005bc*sc*i*
depends: mac80211,cfg80211
vermagic: 2.6.24-16-generic SMP mod_unload
parm: antenna:select antenna (1=Main, 2=Aux, default 0 [both]) (int)
parm: disable:manually disable the radio (default 0 [radio on]) (int)
parm: hwcrypto:using hardware crypto engine (default 0 [software])
 (int)
parm: debug:debug output mask (int)
parm: disable_hw_scan:disable hardware scanning (default 0) (int)
parm: queues_num:number of hw queues. (int)
parm: qos_enable:enable all QoS functionality (int)

Márton Kiss (marton-kiss) wrote :

Similar wlan card problem here, with a Dell D520 notebook. Hardy beta, kernel 2.6.24-16-generic

A quick workaround: disable the iwl3945 kernel module in /etc/modprobe.d/blacklist, install ndiswrapper with Intel Windows XP driver (netw4x32).

Ndiswrapper setup is here: https://help.ubuntu.com/community/WifiDocs/Driver/Ndiswrapper
Intel 3945ABG driver download from here: http://downloadcenter.intel.com/Product_Filter.aspx?ProductID=2259

Sander Jonkers (jonkers) wrote :

Hi, it seems I've reported (about) the same bug here: https://bugs.launchpad.net/ubuntu/+bug/223111 : I can't connect to a WEP AccessPoint with my Centrino, and/but I can connect to a WPA2 AccessPoint.

My work around so far: boot the older kernel 2.6.22-14-generic. Then everything works again with 8.04

Zeus (jason-engelsman) wrote :

Hi I am having the same issue my wireless can't connect to my Netgear AP at home. 128k Wep to my friends Linksys works fine and my companies unencrypted Guest access works fine

I've tried both WPA (TKIP) and Wep on the netgear, I'll confirm if WPA2 works when I get home tonight.

I am really not sure about the solution here, I'll try the older kernal idea too.

zeus@Katana:/var/log$ modinfo iwl3945
filename: /lib/modules/2.6.24-16-generic/ubuntu/wireless/iwlwifi/iwlwifi/compatible/iwl3945.ko
license: GPL
author: Copyright(c) 2003-2007 Intel Corporation
version: 1.2.0
description: Intel(R) PRO/Wireless 3945ABG/BG Network Connection driver for Linux
srcversion: 8E95C617988943846696F97
alias: pci:v00008086d00004227sv*sd*bc*sc*i*
alias: pci:v00008086d00004222sv*sd*bc*sc*i*
depends: iwlwifi_mac80211
vermagic: 2.6.24-16-generic SMP mod_unload 586
parm: antenna:select antenna (1=Main, 2=Aux, default 0 [both]) (int)
parm: disable:manually disable the radio (default 0 [radio on]) (int)
parm: hwcrypto:using hardware crypto engine (default 0 [software])
 (int)
parm: debug:debug output mask (int)
parm: disable_hw_scan:disable hardware scanning (default 0) (int)
parm: queues_num:number of hw queues. (int)
parm: qos_enable:enable all QoS functionality (int)

Joachim Sauer (saua) wrote :

From what I've read on this and similar issues it's not a problem about the encryption, since the success depends only on the AP used.

I myself have the same problem on my university network (unsecured, no WEP, no WPA) and it was always working correctly at home (WPA on a Linksys WRT54g).

Booting the old 7.10 kernel (2.6.22-14) made everything work, but there the ipw3945 driver was used, so that's probably not very useful.

Compiling the latest compat-wireless tar ball (2008-06-03) fixed the problem. An earlier version (2008-04-29) did not fix it. This driver reports as version 1.2.26k.

Can some of the kernel maintainers comment on this please? It seems to affect quite some people and in my opinion would definitely warant a fix before the next Ubuntu release (especially considering that this is a regression, as it worked in 7.10).

I guess this bug is for iwl4965 too. I use this driver, and it works sometimes for normal surfing, but copy of files via scp makes it go down.

Michael Leow (jweng-leow) wrote :

On Dell Vostro 1510, installed Wubi Ubuntu Linux Desktop 8.04 and updated to the latest fixes. The latest fixes allowed the wireless LED to light up.

However, I am unable to connect to my Linksys WEP AP. I have tried the usual troubleshooting steps of manually setting up the setting using iwconfig + ifconfig, including removing ipv6 support but to no avail. I am not able to ping the gateway nor am I able to get an IP address via DHCP.

I suspect the same root cause is the issue. I have yet been able to test on a WPA AP.

Would appreciate if there is any known timeline for the fix. Thanks!

Hi Michael.

Just mentioning I had the same issues connecting to a WEP netgear.

I resolved the issue by installing the linux-backports module which
includes a newer version of the wireless driver.

sudo apt-get install linux-backports-modules-hardy-generic

Hope it helps
J

On Sun, 2008-07-20 at 07:17 +0000, Michael Leow wrote:
> On Dell Vostro 1510, installed Wubi Ubuntu Linux Desktop 8.04 and
> updated to the latest fixes. The latest fixes allowed the wireless LED
> to light up.
>
> However, I am unable to connect to my Linksys WEP AP. I have tried the
> usual troubleshooting steps of manually setting up the setting using
> iwconfig + ifconfig, including removing ipv6 support but to no avail. I
> am not able to ping the gateway nor am I able to get an IP address via
> DHCP.
>
> I suspect the same root cause is the issue. I have yet been able to
> test on a WPA AP.
>
> Would appreciate if there is any known timeline for the fix. Thanks!
>
--
Jason Engelsman
Support Specialist
Dimension Data United Kingdom
Dimension Data House
Building 2, Waterfront Business Park
Hampshire GU51 3QT
+44 12 5277 9775 Office
+44 79 2000 6171 Mobile
+44 12 5277 9010 Fax
<email address hidden>

Jason Engelsman
Support Specialist
Dimension Data United Kingdom
Tel: +44 12 5277 9775
Mob: +44 79 2000 6171
Fax: +44 12 5277 9010
mailto:<email address hidden>

DIMENSION DATA HOUSE, Building 2, Waterfront Business Park, Fleet Road, Fleet, Hampshire GU51 3QT, UNITED KINGDOM

For further information about Dimension Data, please go to http://www.dimensiondata.com/

P Before printing this email please think about the environment

-----------------------------------------
This email is confidential. If you are not the intended recipient
then you must not copy it, forward it, use it for any purpose, or
disclose it to another person.

Please also note that the author of this email is not authorised
to; make any offers capable of acceptance unless expressly stated
in a validly dated and attached document which shall be subject to
the terms and conditions stated therein or, conclude any contract
on behalf of Dimension Data by email.

Although Dimension Data has taken reasonable precautions to ensure
no viruses are present in this email, the company cannot accept
responsibility for any loss or damage arising from the use of this
email or attachments.

Zeus (jason-engelsman) wrote :

PS remember to reboot after install.

:)

On Sun, 2008-07-20 at 07:17 +0000, Michael Leow wrote:
> On Dell Vostro 1510, installed Wubi Ubuntu Linux Desktop 8.04 and
> updated to the latest fixes. The latest fixes allowed the wireless LED
> to light up.
>
> However, I am unable to connect to my Linksys WEP AP. I have tried the
> usual troubleshooting steps of manually setting up the setting using
> iwconfig + ifconfig, including removing ipv6 support but to no avail. I
> am not able to ping the gateway nor am I able to get an IP address via
> DHCP.
>
> I suspect the same root cause is the issue. I have yet been able to
> test on a WPA AP.
>
> Would appreciate if there is any known timeline for the fix. Thanks!
>
--
Jason Engelsman
Support Specialist
Dimension Data United Kingdom
Dimension Data House
Building 2, Waterfront Business Park
Hampshire GU51 3QT
+44 12 5277 9775 Office
+44 79 2000 6171 Mobile
+44 12 5277 9010 Fax
<email address hidden>

Jason Engelsman
Support Specialist
Dimension Data United Kingdom
Tel: +44 12 5277 9775
Mob: +44 79 2000 6171
Fax: +44 12 5277 9010
mailto:<email address hidden>

DIMENSION DATA HOUSE, Building 2, Waterfront Business Park, Fleet Road, Fleet, Hampshire GU51 3QT, UNITED KINGDOM

For further information about Dimension Data, please go to http://www.dimensiondata.com/

P Before printing this email please think about the environment

-----------------------------------------
This email is confidential. If you are not the intended recipient
then you must not copy it, forward it, use it for any purpose, or
disclose it to another person.

Please also note that the author of this email is not authorised
to; make any offers capable of acceptance unless expressly stated
in a validly dated and attached document which shall be subject to
the terms and conditions stated therein or, conclude any contract
on behalf of Dimension Data by email.

Although Dimension Data has taken reasonable precautions to ensure
no viruses are present in this email, the company cannot accept
responsibility for any loss or damage arising from the use of this
email or attachments.

Thanks for giving the idea of using the linux-backports. It works like a charm :-). Now I just need to get kde's wireless manager to work again.

This problem occurs in intrepid also.

Download full text (4.5 KiB)

Jason,

Thanks for this workaround: I can now connect to my WEP AP.

FYI: I installed Ubuntu 8.04.1 which only has the faulty software, so you
can not choose the older kernel anymore to connect to a WEP AO. Quite a
serious Ubuntu bug IMHO.

Sander

sander@fujitsu:~$ sudo apt-get install linux-backports-modules-hardy-generic
[sudo] password for sander:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  linux-backports-modules-2.6.24-19-generic
The following NEW packages will be installed:
  linux-backports-modules-2.6.24-19-generic
linux-backports-modules-hardy-generic
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 449kB of archives.
After this operation, 1348kB of additional disk space will be used.
Do you want to continue [Y/n]?
Get:1 http://nl.archive.ubuntu.com hardy-updates/main
linux-backports-modules-2.6.24-19-generic 2.6.24-19.17 [423kB]
Get:2 http://nl.archive.ubuntu.com hardy-updates/main
linux-backports-modules-hardy-generic 2.6.24.19.21 [26.5kB]
Fetched 449kB in 0s (526kB/s)
Selecting previously deselected package
linux-backports-modules-2.6.24-19-generic.
(Reading database ... 105052 files and directories currently installed.)
Unpacking linux-backports-modules-2.6.24-19-generic (from
.../linux-backports-modules-2.6.24-19-generic_2.6.24-19.17_i386.deb) ...
Selecting previously deselected package
linux-backports-modules-hardy-generic.
Unpacking linux-backports-modules-hardy-generic (from
.../linux-backports-modules-hardy-generic_2.6.24.19.21_i386.deb) ...
Setting up linux-backports-modules-2.6.24-19-generic (2.6.24-19.17) ...
update-initramfs: Generating /boot/initrd.img-2.6.24-19-generic

Setting up linux-backports-modules-hardy-generic (2.6.24.19.21) ...
sander@fujitsu:~$

On Mon, Jul 21, 2008 at 10:34 AM, Zeus <email address hidden>wrote:

> Hi Michael.
>
> Just mentioning I had the same issues connecting to a WEP netgear.
>
>
> I resolved the issue by installing the linux-backports module which
> includes a newer version of the wireless driver.
>
>
> sudo apt-get install linux-backports-modules-hardy-generic
>
> Hope it helps
> J
>
>
> On Sun, 2008-07-20 at 07:17 +0000, Michael Leow wrote:
> > On Dell Vostro 1510, installed Wubi Ubuntu Linux Desktop 8.04 and
> > updated to the latest fixes. The latest fixes allowed the wireless LED
> > to light up.
> >
> > However, I am unable to connect to my Linksys WEP AP. I have tried the
> > usual troubleshooting steps of manually setting up the setting using
> > iwconfig + ifconfig, including removing ipv6 support but to no avail. I
> > am not able to ping the gateway nor am I able to get an IP address via
> > DHCP.
> >
> > I suspect the same root cause is the issue. I have yet been able to
> > test on a WPA AP.
> >
> > Would appreciate if there is any known timeline for the fix. Thanks!
> >
> --
> Jason Engelsman
> Support Specialist
> Dimension Data United Kingdom
> Dimension Data House
> Building 2, Waterfront Business Park
> Hampshire GU51 3QT
> +44 12 5277 9775 Office
> +44 79 2000 6171 Mobile
> +44 12 5277 9010 Fax
> <email address hidden>
>
>
> ...

Read more...

Michael Leow (jweng-leow) wrote :

Thanks very much Jason!

Your suggestion of using the backports modules solved the issue. Strangely it works fine for me without a reboot -- I just have too many windows opened and I try not to shutdown my laptop; only suspend :)

Regards,
Michael Leow

Paul Hoell (hoellp) wrote :

Hi
I installed Kubuntu Intrepid some days ago and everything worked fine for some time, but today after booting, my wireless stopped working.
I can't connect to any AP, neither WEP, nor w/o encryption.
dmesg repeats
'wlan0: privacy configuration mismatch and mixed-cell disabled - disassociate'
all over...
Usually I use knetworkmanager to connect, but I also tried with iwconfig and via editing /etc/network/interfaces, but both didn't change anything at all.
I can scan for the APs and loading the module gives no error.
Any ideas how to solve this monster? Preferably without the need for a working internetconnection ;)
<-

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Hervé Fache (rvfh) wrote :

Same issue here with latest updates (kernel 2.6.26-5 and 2.6.27-2). Both kernels fail to get me connected on Intel 4965. My old PCMCIA card works fine though...

Knetwork manager seems lost too and I had to use the good old CLI. Maybe related?

nshaw (nathanashaw) wrote :

I'm having the same problem on intrepid 2.6.27-2

The same for me with hardy, 2.6.27-1 kernel compiled and Intel Wireless WiFi Link 5100AGN card.

Allochtoon (marcovd) wrote :

The same for me, 2.6.27-7-generic intrepid, iwl3945-1.2.26ks

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: Confirmed → Triaged

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Calum (caluml) wrote :

I have this same problem, with a Linksys WAG 354 G, and an "Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection (rev 61)".

I worked around it by changing the speed of the Wireless LAN on the Linksys (Wireless, Advanced Wireless settings) from Auto to 24Mb.

Hope this helps people find out what the problem with the driver is.

[This is an automated message. Apologies if it has reached you inappropriately.]

This bug was reported against the linux-meta package when it likely should have been reported against the linux package instead. We are automatically transitioning this to the linux kernel package so that the appropriate teams are notified and made aware of this issue. Thanks.

Closing "linux-meta (Ubuntu)" task as this is already appropriately opened against the "linux (Ubuntu)" task.

Changed in linux-meta (Ubuntu):
status: New → Invalid
Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Triaged a while ago but has not had any updated comments for quite some time. Please let us know if this issue remains in the current Ubuntu release, http://www.ubuntu.com/getubuntu/download . If the issue remains, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-triage
Changed in linux (Ubuntu):
status: Triaged → Incomplete
Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Incomplete and has not had any updated comments for quite some time. As a result this bug is being closed. Please reopen if this is still an issue in the current Ubuntu release http://www.ubuntu.com/getubuntu/download . Also, please be sure to provide any requested information that may have been missing. To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-expired
Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers